Default template kickstart_ifcfg_generic_interface ignores ipv6 DNS

03/05/2018 04:47 PM - Lukas Plattner

Status: New   

Priority: Low   

Assignee:    

Category: Templates   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The default template does not respect DNS-servers kickstart_ifcfg_generic_interface

With

<%- if @interface.primary -%>

<%-   if !@dhcp && @subnet && @subnet.dns_primary.present? -%>

<%=     "DNS1=\"#{@subnet.dns_primary}\"" %>

<%-     if @subnet.dns_secondary.present? -%>

<%=       "DNS2=\"#{@subnet.dns_secondary}\"" %>

<%-     end -%>

<%-   end -%>

<%- end -%>

 are those of the ipv4 added but there is no block for ipv6.

History

#1 - 03/06/2018 09:07 AM - Ivan Necas

- Project changed from Foreman Maintain to Templates

#2 - 03/06/2018 11:52 AM - Ondřej Pražák

- Project changed from Templates to Foreman

- Category set to Templates

#3 - 03/06/2018 11:50 PM - Anonymous

- translation missing: en.field_release deleted (330)
